datafu-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matthew Hayes (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DATAFU-125) Upgrade Gradle to v4 or later
Date Fri, 20 Oct 2017 18:08:01 GMT

    [ https://issues.apache.org/jira/browse/DATAFU-125?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16212978#comment-16212978
] 

Matthew Hayes commented on DATAFU-125:
--------------------------------------

Great!  The other things I would check are these from RELEASE.md.

{noformat}
./gradlew check
./gradlew clean release -Prelease=true
{noformat}

These ensure we won't run into issues doing our next release.  I think this should be sufficient
testing to merge this change in.  We can hold off on doing the upgrade to Gradle 4. I'm okay
with changing the title of this JIRA to "Upgrade to Gradle v3 or later."  My intention was
to get us on a newer version since we're so behind.  Upgrading to Gradle 4 will be trickier
due to the autojar issue you found.



> Upgrade Gradle to v4 or later
> -----------------------------
>
>                 Key: DATAFU-125
>                 URL: https://issues.apache.org/jira/browse/DATAFU-125
>             Project: DataFu
>          Issue Type: Task
>            Reporter: Matthew Hayes
>         Attachments: DATAFU-125.patch
>
>
> We should update to the most recent version of Gradle.  We're currently using 2.4.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message